---
title: ElevenLabs Texte en son | RunAPI
description: Utilisez le point de terminaison texte vers son pour créer une tâche
  asynchrone.
url: https://runapi.ai/fr/docs/api/elevenlabs/text-to-sound.md
canonical: https://runapi.ai/fr/docs/api/elevenlabs/text-to-sound
locale: fr
---

> Version HTML: https://runapi.ai/fr/docs/api/elevenlabs/text-to-sound
> Index du site pour les agents: https://runapi.ai/llms.txt

# ElevenLabs Texte en son

## Vue d'ensemble

Utilisez le point de terminaison texte vers son avec les entrées requises. Utilisez l'ID de tâche retourné pour récupérer son état, ou fournissez callback_url pour les livraisons documentées ci-dessous.

### Démarrage rapide

1. Créez une clé API et définissez-la comme RUNAPI_API_KEY.
2. Envoyer une requête POST dont le corps correspond au schéma de requête.
3. Enregistrez l'identifiant de tâche retourné, puis interrogez l'état jusqu'à atteindre un état terminal ou gérez les callbacks documentés ci-dessous.

## Point de terminaison

POST /api/v1/elevenlabs/text_to_sound

URL de base: https://runapi.ai

Version de l'API: v1

Authentification: Authorization: Bearer YOUR_API_TOKEN

## Modèles pris en charge

Ouvrez une page de modèle pour consulter la tarification actuelle, les limites de débit et les conditions d'utilisation commerciale.

- [sound-effect-v2](https://runapi.ai/fr/models/elevenlabs/sound-effect-v2)

## Schéma de requête

Envoyez uniquement les champs documentés. Lorsqu'il est fourni, callback_url reçoit les livraisons de Task documentées ci-dessous.

### sound-effect-v2

```json
{
  "callback_url": {
    "type": "string"
  },
  "duration_seconds": {
    "type": "number"
  },
  "loop": {
    "type": "boolean"
  },
  "output_format": {
    "enum": [
      "mp3_22050_32",
      "mp3_44100_32",
      "mp3_44100_64",
      "mp3_44100_96",
      "mp3_44100_128",
      "mp3_44100_192",
      "pcm_8000",
      "pcm_16000",
      "pcm_22050",
      "pcm_24000",
      "pcm_44100",
      "pcm_48000",
      "ulaw_8000",
      "alaw_8000",
      "opus_48000_32",
      "opus_48000_64",
      "opus_48000_96",
      "opus_48000_128",
      "opus_48000_192"
    ],
    "type": "string"
  },
  "prompt_influence": {
    "type": "number"
  },
  "text": {
    "required": true,
    "type": "string"
  }
}
```

## Créer une acceptation

HTTP 202 - POST /api/v1/elevenlabs/text_to_sound

### Schéma de réponse

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    },
    "task_replayed": {
      "type": "boolean"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Interrogation en cours

HTTP 200 - GET /api/v1/elevenlabs/text_to_sound/:id

### Schéma de réponse

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## Interrogation terminée

HTTP 200 - GET /api/v1/elevenlabs/text_to_sound/:id

### Schéma de réponse

```json
{
  "properties": {
    "audios": {
      "items": {
        "properties": {
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    },
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "audios",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "audios": [
    {
      "url": "https://file.runapi.ai/reference-audio.mp3"
    }
  ],
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "completed"
}
```

## Échec de l'interrogation

HTTP 200 - GET /api/v1/elevenlabs/text_to_sound/:id

### Schéma de réponse

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "error": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "error": "Task processing failed.",
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## Rappel client : terminé

HTTP 200 - POST callback_url

### Schéma de réponse

```json
{
  "properties": {
    "audios": {
      "items": {
        "properties": {
          "url": {
            "type": "string",
            "x-runapi-generated-media": true
          }
        },
        "required": [
          "url"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "audios"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "audios": [
    {
      "url": "https://file.runapi.ai/reference-audio.mp3"
    }
  ],
  "id": "tsk_reference_demo",
  "status": "completed"
}
```

## Rappel client : échoué

HTTP 200 - POST callback_url

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "oneOf": [
        {
          "type": "string"
        },
        {
          "properties": {
            "code": {
              "type": "string"
            },
            "limit_cents": {
              "type": "integer"
            },
            "message": {
              "type": "string"
            },
            "reset_at": {
              "format": "date-time",
              "type": [
                "string",
                "null"
              ]
            },
            "used_cents": {
              "type": "integer"
            },
            "window": {
              "enum": [
                "1h",
                "1d",
                "7d",
                "daily",
                "weekly",
                "monthly",
                "lifetime"
              ],
              "type": "string"
            }
          },
          "required": [
            "code",
            "message"
          ],
          "type": "object",
          "unevaluatedProperties": false
        }
      ]
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": {
    "code": "generation_failed",
    "message": "Task processing failed."
  },
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## Erreurs

HTTP 401 - POST /api/v1/elevenlabs/text_to_sound

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "Authentication required"
}
```

## Erreurs

HTTP 401 - GET /api/v1/elevenlabs/text_to_sound/:id

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "Authentication required"
}
```

## Erreurs

HTTP 400 - POST /api/v1/elevenlabs/text_to_sound

### Schéma de réponse

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "Message d'erreur lisible par l'humain.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "Résumé de validation lisible par l'humain.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "Messages de validation indexés par champ de requête public, avec un tableau de chaînes lisibles par l'humain pour chaque champ.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### Exemple de réponse

```json
{
  "error": "Validation failed",
  "errors": {
    "text": [
      "is required"
    ]
  }
}
```

## Erreurs

HTTP 402 - POST /api/v1/elevenlabs/text_to_sound

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "Insufficient balance"
}
```

## Erreurs

HTTP 429 - POST /api/v1/elevenlabs/text_to_sound

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "API key credit limit exceeded"
}
```

## Erreurs

HTTP 409 - POST /api/v1/elevenlabs/text_to_sound

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## Erreurs

HTTP 429 - POST /api/v1/elevenlabs/text_to_sound

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## Erreurs

HTTP 503 - POST /api/v1/elevenlabs/text_to_sound

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "Service under maintenance, please try again later"
}
```

## Erreurs

HTTP 504 - POST /api/v1/elevenlabs/text_to_sound

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "The request timed out"
}
```

## Erreurs

HTTP 404 - GET /api/v1/elevenlabs/text_to_sound/:id

### Schéma de réponse

```json
{
  "properties": {
    "error": {
      "description": "Message d'erreur lisible par l'humain.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Exemple de réponse

```json
{
  "error": "Task with id 'tsk_reference_demo' not found"
}
```

## Exemples de code générés

Utilisez directement cURL, ou installez un SDK pour votre langage. Chaque exemple soumet la requête validée indiquée dans cette référence.

### curl

```curl
curl -X POST https://runapi.ai/api/v1/elevenlabs/text_to_sound \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"text":"Heavy rain on a tin roof.","loop":false,"duration_seconds":5,"prompt_influence":0.8,"output_format":"mp3_44100_128"}'
```

### javascript

#### Installer

```bash
npm install @runapi.ai/elevenlabs
```

```javascript
import { ElevenlabsClient } from "@runapi.ai/elevenlabs";

const client = new ElevenlabsClient({ apiKey: process.env.RUNAPI_API_KEY });
const task = await client.textToSound.create({
  "text": "Heavy rain on a tin roof.",
  "loop": false,
  "duration_seconds": 5,
  "prompt_influence": 0.8,
  "output_format": "mp3_44100_128"
});
```

### python

#### Installer

```bash
pip install runapi-elevenlabs
```

```python
import os
from runapi.elevenlabs import ElevenlabsClient

client = ElevenlabsClient(api_key=os.environ["RUNAPI_API_KEY"])
task = client.text_to_sound.create(
  text="Heavy rain on a tin roof.",
  loop=False,
  duration_seconds=5,
  prompt_influence=0.8,
  output_format="mp3_44100_128"
)
```

### go

#### Installer

```bash
go get github.com/runapi-ai/elevenlabs-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  elevenlabs "github.com/runapi-ai/elevenlabs-sdk/go/elevenlabs"
)

func main() {
  client, err := elevenlabs.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  task, err := client.TextToSound.Create(context.Background(), elevenlabs.TextToSoundParams{
    Text: "Heavy rain on a tin roof.",
    Loop: func(value bool) *bool { return &value }(false),
    DurationSeconds: func(value float64) *float64 { return &value }(5),
    PromptInfluence: func(value float64) *float64 { return &value }(0.8),
    OutputFormat: elevenlabs.SoundEffectOutputFormat("mp3_44100_128"),
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = task
}
```

### ruby

#### Installer

```bash
gem install runapi-elevenlabs
```

```ruby
require "runapi/elevenlabs"

client = RunApi::Elevenlabs::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
task = client.text_to_sound.create(
  text: "Heavy rain on a tin roof.",
  loop: false,
  duration_seconds: 5,
  prompt_influence: 0.8,
  output_format: "mp3_44100_128"
)
```

### java

#### Installer

```kotlin
implementation("ai.runapi:runapi-elevenlabs")
```

```java
import ai.runapi.elevenlabs.ElevenLabsClient;
import ai.runapi.elevenlabs.types.TextToSoundParams;
import ai.runapi.core.polling.TaskCreateResponse;

public final class Example {
  public static void main(String[] args) {
    ElevenLabsClient client = ElevenLabsClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    TaskCreateResponse task = client.textToSound().create(
        TextToSoundParams.builder()
        .text("Heavy rain on a tin roof.")
        .loop(false)
        .durationSeconds(5)
        .promptInfluence(0.8)
        .outputFormat("mp3_44100_128")
            .build()
    );
  }
}
```

### php

#### Installer

```bash
composer require runapi-ai/elevenlabs
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\Elevenlabs\ElevenlabsClient;

$client = new ElevenlabsClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$task = $client->textToSound->create([
  "text" => "Heavy rain on a tin roof.",
  "loop" => false,
  "duration_seconds" => 5,
  "prompt_influence" => 0.8,
  "output_format" => "mp3_44100_128"
]);
```

## Guides associés

- [Authentification](https://runapi.ai/fr/docs/guides/authentication.md)
- [Démarrage rapide](https://runapi.ai/fr/docs/guides/task-api/quickstart.md)

---

## Plus de ressources de RunAPI

- [Accueil](https://runapi.ai/fr/.md)
- [Catalogue de modèles](https://runapi.ai/fr/models.md)
- [Tarifs](https://runapi.ai/fr/pricing.md)
- [Fournisseurs](https://runapi.ai/fr/models)
- [Documentation](https://runapi.ai/fr/docs/guides)
- [SDK](https://runapi.ai/fr/sdk.md)
- [CLI](https://runapi.ai/fr/cli.md)
- [Serveur MCP](https://runapi.ai/fr/mcp.md)
- [Claude Code vs Cursor](https://runapi.ai/fr/claude-code-vs-cursor.md)
- [Configuration de l’API Cursor](https://runapi.ai/fr/cursor-api-setup.md)
- [RunAPI vs OpenRouter](https://runapi.ai/fr/openrouter-alternative.md)
- [Entreprise](https://runapi.ai/fr/contact.md)
- [Contact](https://runapi.ai/fr/contact.md)
- [Conditions](https://runapi.ai/fr/terms.md)
- [Confidentialité](https://runapi.ai/fr/privacy.md)
- [Index du site pour les agents](https://runapi.ai/llms.txt)

Contact: contact@runapi.ai

## Données structurées

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "fr",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/fr",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/fr/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "fr",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/fr",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/fricon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "fr",
    "@type": "TechArticle",
    "headline": "ElevenLabs Texte en son",
    "description": "Utilisez le point de terminaison texte vers son pour créer une tâche asynchrone.",
    "url": "https://runapi.ai/fr/docs/api/elevenlabs/text-to-sound",
    "mainEntityOfPage": "https://runapi.ai/fr/docs/api/elevenlabs/text-to-sound"
  }
]
```
